diff -Nrup openbsc.orig/openbsc/include/openbsc/osmo_msc_data.h openbsc/openbsc/include/openbsc/osmo_msc_data.h
--- openbsc.orig/openbsc/include/openbsc/osmo_msc_data.h	2015-06-02 12:45:13.682136307 +0100
+++ openbsc/openbsc/include/openbsc/osmo_msc_data.h	2015-06-02 12:45:28.661356866 +0100
@@ -65,7 +65,7 @@ struct osmo_msc_data {
 	struct osmo_timer_list pong_timer;
 	int advanced_ping;
 	struct bsc_msc_connection *msc_con;
-	int core_ncc;
+	int core_mnc;
 	int core_mcc;
 	int core_lac;
 	int core_ci;
diff -Nrup openbsc.orig/openbsc/src/osmo-bsc/osmo_bsc_api.c openbsc/openbsc/src/osmo-bsc/osmo_bsc_api.c
--- openbsc.orig/openbsc/src/osmo-bsc/osmo_bsc_api.c	2015-06-02 12:45:13.679136263 +0100
+++ openbsc/openbsc/src/osmo-bsc/osmo_bsc_api.c	2015-06-02 12:45:28.664356910 +0100
@@ -53,8 +53,8 @@ static int complete_layer3(struct gsm_su
 
 static uint16_t get_network_code_for_msc(struct osmo_msc_data *msc)
 {
-	if (msc->core_ncc != -1)
-		return msc->core_ncc;
+	if (msc->core_mnc != -1)
+		return msc->core_mnc;
 	return msc->network->network_code;
 }
 
diff -Nrup openbsc.orig/openbsc/src/osmo-bsc/osmo_bsc_filter.c openbsc/openbsc/src/osmo-bsc/osmo_bsc_filter.c
--- openbsc.orig/openbsc/src/osmo-bsc/osmo_bsc_filter.c	2015-06-02 12:45:13.679136263 +0100
+++ openbsc/openbsc/src/osmo-bsc/osmo_bsc_filter.c	2015-06-02 12:46:00.653828021 +0100
@@ -313,7 +313,7 @@ static int bsc_patch_mm_info(struct gsm_
 
 static int has_core_identity(struct osmo_msc_data *msc)
 {
-	if (msc->core_ncc != -1)
+	if (msc->core_mnc != -1)
 		return 1;
 	if (msc->core_mcc != -1)
 		return 1;
diff -Nrup openbsc.orig/openbsc/src/osmo-bsc/osmo_bsc_msc.c openbsc/openbsc/src/osmo-bsc/osmo_bsc_msc.c
--- openbsc.orig/openbsc/src/osmo-bsc/osmo_bsc_msc.c	2015-06-02 12:45:13.679136263 +0100
+++ openbsc/openbsc/src/osmo-bsc/osmo_bsc_msc.c	2015-06-02 12:45:28.664356910 +0100
@@ -522,7 +522,7 @@ struct osmo_msc_data *osmo_msc_data_allo
 	INIT_LLIST_HEAD(&msc_data->dests);
 	msc_data->ping_timeout = 20;
 	msc_data->pong_timeout = 5;
-	msc_data->core_ncc = -1;
+	msc_data->core_mnc = -1;
 	msc_data->core_mcc = -1;
 	msc_data->core_ci = -1;
 	msc_data->core_lac = -1;
diff -Nrup openbsc.orig/openbsc/src/osmo-bsc/osmo_bsc_vty.c openbsc/openbsc/src/osmo-bsc/osmo_bsc_vty.c
--- openbsc.orig/openbsc/src/osmo-bsc/osmo_bsc_vty.c	2015-06-02 12:45:13.679136263 +0100
+++ openbsc/openbsc/src/osmo-bsc/osmo_bsc_vty.c	2015-06-02 12:45:28.664356910 +0100
@@ -107,9 +107,9 @@ static void write_msc(struct vty *vty, s
 	vty_out(vty, "msc %d%s", msc->nr, VTY_NEWLINE);
 	if (msc->bsc_token)
 		vty_out(vty, " token %s%s", msc->bsc_token, VTY_NEWLINE);
-	if (msc->core_ncc != -1)
+	if (msc->core_mnc != -1)
 		vty_out(vty, " core-mobile-network-code %d%s",
-			msc->core_ncc, VTY_NEWLINE);
+			msc->core_mnc, VTY_NEWLINE);
 	if (msc->core_mcc != -1)
 		vty_out(vty, " core-mobile-country-code %d%s",
 			msc->core_mcc, VTY_NEWLINE);
@@ -234,10 +234,10 @@ DEFUN(cfg_net_bsc_token,
 DEFUN(cfg_net_bsc_ncc,
       cfg_net_bsc_ncc_cmd,
       "core-mobile-network-code <1-999>",
-      "Use this network code for the core network\n" "NCC value\n")
+      "Use this network code for the core network\n" "MNC value\n")
 {
 	struct osmo_msc_data *data = osmo_msc_data(vty);
-	data->core_ncc = atoi(argv[0]);
+	data->core_mnc = atoi(argv[0]);
 	return CMD_SUCCESS;
 }
 
